package com.fr.plugin;

import com.fr.config.*;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;

@Visualization(category = "Websocket配置")
public class WSConfig extends DefaultConfiguration {

    private static volatile WSConfig config = null;

    public static WSConfig getInstance() {
        if (config == null) {
            config = ConfigContext.getConfigInstance(WSConfig.class);
        }
        return config;
    }

    @Identifier(value = "linkname", name = "数据链接名", description = "", status = Status.SHOW)
    private Conf<String> linkname = Holders.simple("test");
    @Identifier(value = "secret", name = "对接接口秘钥", description = "", status = Status.SHOW)
    private Conf<String> secret = Holders.simple("456789");

    public String getLinkname() {
        return linkname.get();
    }

    public String getSecret() {
        return secret.get();
    }

    public void setSecret(String secret) {
        this.secret.set(secret);
    }

    public void setLinkname(String linkname) {
        this.linkname.set(linkname);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        WSConfig cloned = (WSConfig) super.clone();
        cloned.linkname = (Conf<String>) linkname.clone();
        cloned.secret = (Conf<String>) secret.clone();
        return cloned;
    }

}