package com.fr.plugin;

import com.fr.decision.fun.HttpHandler;
import com.fr.decision.fun.impl.AbstractHttpHandlerProvider;
import com.fr.plugin.api.*;
import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.stable.fun.Authorize;

@FunctionRecorder
@Authorize(callSignKey = "com.fr.plugin.ws.cont")
public class WSDataHandlerProvider extends AbstractHttpHandlerProvider {
    @Override
    @ExecuteFunctionRecord
    public HttpHandler[] registerHandlers() {
        return new HttpHandler[]{
                new ControlApi(),
                new AddApi(),
                new GetCatalogApi(),
                new SwitchDataApi()
        };
    }

}
